summaryrefslogtreecommitdiff
path: root/check
diff options
context:
space:
mode:
Diffstat (limited to 'check')
-rwxr-xr-xcheck7
1 files changed, 7 insertions, 0 deletions
diff --git a/check b/check
new file mode 100755
index 0000000..e5d1646
--- /dev/null
+++ b/check
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+set -euo pipefail
+
+cargo clippy -q -- --deny=clippy::all
+cargo build -q --all-targets
+cargo test -q